export default defineAppConfig({
  pages: [
    'pages/login/login',
    'pages/register/register',
    'pages/projectManager/index/index',
    'pages/policeManager/index/index',
    'pages/mine/mine',
    'pages/employeeInfo/employeeInfo',
    'pages/myProject/myProject',
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#f7f8fa',
    navigationBarTitleText: '',
    navigationBarTextStyle: 'black',
    backgroundColor: "#008080"
  },
  subpackages: [
    {
      root: "subPages",
      pages: [
        'pages/policeManager/index',
      ]
    }
  ],
  tabBar: {
    custom: true,
    list: [
      {
        pagePath: 'pages/projectManager/index/index',
        text: '首页',
        iconPath: "assets/mine/punch.png",
        selectedIconPath: "assets/mine/punch-active.png"
      },
      {
        pagePath: 'pages/policeManager/index/index',
        text: '首页',
        iconPath: "assets/mine/punch.png",
        selectedIconPath: "assets/mine/punch-active.png"
      },
      {
        pagePath: 'pages/employeeInfo/employeeInfo',
        text: '员工信息',
        iconPath: "assets/mine/punch.png",
        selectedIconPath: "assets/mine/punch-active.png"
      },
      {
        pagePath: 'pages/mine/mine',
        text: '我的',
        iconPath: "assets/mine/my.png",
        selectedIconPath: "assets/mine/my-active.png"
      },
    ]
  }

})
