import {createApp} from 'vue'
import {createPinia} from 'pinia'
import './app.scss'
import './assets/scss/colorui.scss'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
import Taro from "@tarojs/taro";

const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)
const App = createApp({
  onShow(options) {
    const token = Taro.getStorageSync('token')
    if(token){
      console.log(111)
    }else{
      console.log(2222)
    }
    console.log('App onShow.')
  },
  // 入口组件不需要实现 render 方法，即使实现了也会被 taro 所覆盖
})

App.use(pinia)

export default App
